nix3-upgrade-nix(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix upgrade-nix - upgrade Nix to the stable version declared in Nixpkgs

Synopsis
nix upgrade-nix [option…]

Examples

•   Upgrade Nix to the stable version declared in Nixpkgs:

    # nix upgrade-nix

•   Upgrade Nix in a specific profile:

    # nix upgrade-nix -p /nix/var/nix/profiles/per-user/alice/profile

Description
This command upgrades Nix to the stable version declared in Nixpkgs. This stable version is defined in nix-fallback-paths.nix (https://github.com/NixOS/nixpkgs/raw/master/nixos/modules/installer/tools/nix-fallback-paths.nix) and updated manually. It may not always be the latest tagged release.

By default, it locates the directory containing the nix binary in the $PATH environment variable. If that directory is a Nix profile, it will upgrade the nix package in that profile to the latest stable binary release.

You cannot use this command to upgrade Nix in the system profile of a NixOS system (that is, if nix is found in /run/current-system).

Options

•   --dry-run
    Show what this command would do without doing it.

•   --nix-store-paths-url url
    The URL of the file that contains the store paths of the latest Nix release.

•   --profile / -p profile-dir
    The path to the Nix profile to upgrade.